Skip to content

Returns a payment from the system by its ID for a given contact.

Request

This method will look up a payment by the specified ID and return it back (for a portal contact)

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

portalContactIdstringrequired

The contact to use

idstringrequired

The ID of the payment to return.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

consistentReadstring

Indicates the API should force a consistent read on the data source.

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/payments/{tenantId}/portal/contact/{portalContactId}/{id}?fields=string&consistentRead=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The payment was retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
amount_pending_capturenumber, (double)(Amount Pending Capture)

The amount of payment yet to be captured

bank_account_idstring(Bank Account)required

The bank account to use for this payment

base_currency_codestring, = 3 characters(Base Currency Code)

The base currency for transactions business unit

base_currency_symbolstring(Base Currency Symbol)

The base symbol for the transactions business unit

batch_idstring(Batch)required

The batch this transaction belongs to

billing_addressobject(Address)

A complete address

billing_run_action_idstring(Billing Run Action)

The billing run action that created this order; we track it here only to pass it back through the billing service

billing_run_idstring(Billing Run)

If this is part of a billing run, the ID

billing_run_servicestring(Billing Run Service)

If initiated by a billing run, the relevant service

business_unit_idstring(Business Unit)required

The business unit this transaction belongs to

cancellation_idstring(Cancellation)

The order cancellation tied to this transaction

capturesArray of objects
card_expirationstring, (date)(Card Expiration)

The card expiration

card_last_digitsstring(Card Last Digits)

The last 4 digits of the card that was processed

card_typestring(Card Type)

The card type

cash_account_typestring(Cash Account Type)required

Type of cash account to use

Enum:"bank""merchant""none"
contact_idstring(Contact)required

The contact that owns the payment

currency_codestring, = 3 characters(Currency Code)

The currency code in use

Enum:"AED""AFN""ALL""AMD""ANG""AOA""ARS""AUD""AWG""AZN"
currency_symbolstring(Currency Symbol)

The currency symbol

custom_field_valuesArray of objects(Custom Field Values)
datestring, (date)(Date)

The date of the transaction

electronic_payment_infoobject(Electronic Payment Info)required
exchange_ratenumber, (double)(Exchange Rate)

The exchange rate, if applicable

idstring(ID)^[\w|-]+$required

The unique, string identifier of this payment

installment_schedule_idstring(Installment Schedule)

If this is tied to an installment schedule

legacy_processorboolean(Legacy Processor)

If true, this payment was run using the legacy processor of the merchant account

line_itemsArray of objects, non-emptyrequired
memostring(Memo)

Memo/description of the transaction

merchant_account_idstring(Merchant Account)required

The merchant account to use for this payment

notesstring(Notes)

Notes fro the transaction

numberinteger(Number)required

The transaction number

order_idstring(Order)

The order tied to this transaction

organization_idstring(Organization)required

The organization that owns the payment

owner_typestring(Owner Type)required

The type of owner

Enum:"contact""organization"
payment_that_this_transaction_reverses_idstring(Payment That This Transaction Reverses)

The name of the payment that THIS payment reverses or backs out

reference_numberstring(Reference Number)

A reference number to be used for the payment

return_idstring(Return)

The return tied to this transaction

send_email_confirmationboolean(Send Email Confirmation)

Whether to send an email confirmation

send_receipt_tostring(Send Receipt To)

The email address(es) to send receipts

settlement_discrepancynumber, (float)(Settlement Discrepancy)

The difference between the total in base currency and the amount actually settled

statusstring(Status)
Enum:"complete""partially refunded""refunded""reversed""void"
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_search_composite_keystring(Sys Search Composite Key)

Internal use

sys_search_credit_card_typestring(Sys Search Credit Card Type)

Internal use

sys_search_transaction_idstring(Sys Search Transaction)

Internal use

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

totalnumber, (double)(Total)required

The transaction total

total_in_base_currencynumber, (double)(Total In Base Currency)required

The transaction total in base currency

total_settled_in_base_currencynumber, (float)(Total Settled In Base Currency)

The amount settled, in base currency

transaction_idstring(Transaction)

The transaction id of the capture

typestring(Type)required

The type of payment

Enum:"ach""cash""cashiers check""check""credit card""electronic check""money order""offline credit card""payroll deduction""purchase order"
uses_v2_apiboolean(Uses V2 Api)

If set, this payment was processed via the synchronous API, vs step functions

was_generated_by_orderboolean(Was Generated By Order)

If this was generated by the order process

workflow_execution_idstring(Workflow Execution)

The ID of the state machine execution used to create this transaction

Response
{ "amount_pending_capture": 0.1, "bank_account_id": "string", "base_currency_code": "str", "base_currency_symbol": "string", "batch_id": "string", "billing_address": { "city": "string", "country": "string", "country_name": "string", "county": "string", "latitude": 0.1, "line1": "string", "line2": "string", "line3": "string", "longitude": 0.1, "postal_code": "string", "state": "string", "time_zone_id": "string" }, "billing_run_action_id": "string", "billing_run_id": "string", "billing_run_service": "string", "business_unit_id": "string", "cancellation_id": "string", "captures": [ { … } ], "card_expiration": "2019-08-24", "card_last_digits": "string", "card_type": "string", "cash_account_type": "bank", "contact_id": "string", "currency_code": "AED", "currency_symbol": "string", "custom_field_values": [ { … } ], "date": "2019-08-24", "electronic_payment_info": { "card_expiration": "2019-08-24", "card_type": "american express", "payment_account": "string", "payment_origin": "ad hoc", "token": "string" }, "exchange_rate": 0.1, "id": "string", "installment_schedule_id": "string", "legacy_processor": true, "line_items": [ { … } ], "memo": "string", "merchant_account_id": "string", "notes": "string", "number": 0, "order_id": "string", "organization_id": "string", "owner_type": "contact", "payment_that_this_transaction_reverses_id": "string", "reference_number": "string", "return_id": "string", "send_email_confirmation": true, "send_receipt_to": "string", "settlement_discrepancy": 0.1, "status": "complete", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_search_composite_key": "string", "sys_search_credit_card_type": "string", "sys_search_transaction_id": "string", "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "total": 0.1, "total_in_base_currency": 0.1, "total_settled_in_base_currency": 0.1, "transaction_id": "string", "type": "ach", "uses_v2_api": true, "was_generated_by_order": true, "workflow_execution_id": "string" }

Returns a payment from the system by its ID for a given organization.

Request

This method will look up a payment by the specified ID and return it back (for a portal organization)

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

portalOrganizationIdstringrequired

The organization to use

idstringrequired

The ID of the payment to return.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

consistentReadstring

Indicates the API should force a consistent read on the data source.

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/payments/{tenantId}/portal/organization/{portalOrganizationId}/{id}?fields=string&consistentRead=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The payment was retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
amount_pending_capturenumber, (double)(Amount Pending Capture)

The amount of payment yet to be captured

bank_account_idstring(Bank Account)required

The bank account to use for this payment

base_currency_codestring, = 3 characters(Base Currency Code)

The base currency for transactions business unit

base_currency_symbolstring(Base Currency Symbol)

The base symbol for the transactions business unit

batch_idstring(Batch)required

The batch this transaction belongs to

billing_addressobject(Address)

A complete address

billing_run_action_idstring(Billing Run Action)

The billing run action that created this order; we track it here only to pass it back through the billing service

billing_run_idstring(Billing Run)

If this is part of a billing run, the ID

billing_run_servicestring(Billing Run Service)

If initiated by a billing run, the relevant service

business_unit_idstring(Business Unit)required

The business unit this transaction belongs to

cancellation_idstring(Cancellation)

The order cancellation tied to this transaction

capturesArray of objects
card_expirationstring, (date)(Card Expiration)

The card expiration

card_last_digitsstring(Card Last Digits)

The last 4 digits of the card that was processed

card_typestring(Card Type)

The card type

cash_account_typestring(Cash Account Type)required

Type of cash account to use

Enum:"bank""merchant""none"
contact_idstring(Contact)required

The contact that owns the payment

currency_codestring, = 3 characters(Currency Code)

The currency code in use

Enum:"AED""AFN""ALL""AMD""ANG""AOA""ARS""AUD""AWG""AZN"
currency_symbolstring(Currency Symbol)

The currency symbol

custom_field_valuesArray of objects(Custom Field Values)
datestring, (date)(Date)

The date of the transaction

electronic_payment_infoobject(Electronic Payment Info)required
exchange_ratenumber, (double)(Exchange Rate)

The exchange rate, if applicable

idstring(ID)^[\w|-]+$required

The unique, string identifier of this payment

installment_schedule_idstring(Installment Schedule)

If this is tied to an installment schedule

legacy_processorboolean(Legacy Processor)

If true, this payment was run using the legacy processor of the merchant account

line_itemsArray of objects, non-emptyrequired
memostring(Memo)

Memo/description of the transaction

merchant_account_idstring(Merchant Account)required

The merchant account to use for this payment

notesstring(Notes)

Notes fro the transaction

numberinteger(Number)required

The transaction number

order_idstring(Order)

The order tied to this transaction

organization_idstring(Organization)required

The organization that owns the payment

owner_typestring(Owner Type)required

The type of owner

Enum:"contact""organization"
payment_that_this_transaction_reverses_idstring(Payment That This Transaction Reverses)

The name of the payment that THIS payment reverses or backs out

reference_numberstring(Reference Number)

A reference number to be used for the payment

return_idstring(Return)

The return tied to this transaction

send_email_confirmationboolean(Send Email Confirmation)

Whether to send an email confirmation

send_receipt_tostring(Send Receipt To)

The email address(es) to send receipts

settlement_discrepancynumber, (float)(Settlement Discrepancy)

The difference between the total in base currency and the amount actually settled

statusstring(Status)
Enum:"complete""partially refunded""refunded""reversed""void"
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_search_composite_keystring(Sys Search Composite Key)

Internal use

sys_search_credit_card_typestring(Sys Search Credit Card Type)

Internal use

sys_search_transaction_idstring(Sys Search Transaction)

Internal use

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

totalnumber, (double)(Total)required

The transaction total

total_in_base_currencynumber, (double)(Total In Base Currency)required

The transaction total in base currency

total_settled_in_base_currencynumber, (float)(Total Settled In Base Currency)

The amount settled, in base currency

transaction_idstring(Transaction)

The transaction id of the capture

typestring(Type)required

The type of payment

Enum:"ach""cash""cashiers check""check""credit card""electronic check""money order""offline credit card""payroll deduction""purchase order"
uses_v2_apiboolean(Uses V2 Api)

If set, this payment was processed via the synchronous API, vs step functions

was_generated_by_orderboolean(Was Generated By Order)

If this was generated by the order process

workflow_execution_idstring(Workflow Execution)

The ID of the state machine execution used to create this transaction

Response
{ "amount_pending_capture": 0.1, "bank_account_id": "string", "base_currency_code": "str", "base_currency_symbol": "string", "batch_id": "string", "billing_address": { "city": "string", "country": "string", "country_name": "string", "county": "string", "latitude": 0.1, "line1": "string", "line2": "string", "line3": "string", "longitude": 0.1, "postal_code": "string", "state": "string", "time_zone_id": "string" }, "billing_run_action_id": "string", "billing_run_id": "string", "billing_run_service": "string", "business_unit_id": "string", "cancellation_id": "string", "captures": [ { … } ], "card_expiration": "2019-08-24", "card_last_digits": "string", "card_type": "string", "cash_account_type": "bank", "contact_id": "string", "currency_code": "AED", "currency_symbol": "string", "custom_field_values": [ { … } ], "date": "2019-08-24", "electronic_payment_info": { "card_expiration": "2019-08-24", "card_type": "american express", "payment_account": "string", "payment_origin": "ad hoc", "token": "string" }, "exchange_rate": 0.1, "id": "string", "installment_schedule_id": "string", "legacy_processor": true, "line_items": [ { … } ], "memo": "string", "merchant_account_id": "string", "notes": "string", "number": 0, "order_id": "string", "organization_id": "string", "owner_type": "contact", "payment_that_this_transaction_reverses_id": "string", "reference_number": "string", "return_id": "string", "send_email_confirmation": true, "send_receipt_to": "string", "settlement_discrepancy": 0.1, "status": "complete", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_search_composite_key": "string", "sys_search_credit_card_type": "string", "sys_search_transaction_id": "string", "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "total": 0.1, "total_in_base_currency": 0.1, "total_settled_in_base_currency": 0.1, "transaction_id": "string", "type": "ach", "uses_v2_api": true, "was_generated_by_order": true, "workflow_execution_id": "string" }